org.appng.core.domain

## Class Template

- java.lang.Object
- - org.appng.core.domain.Template

- All Implemented Interfaces:
    Serializable, Identifiable<Integer>, Identifier, Nameable, Named<Integer>, Versionable<Date>, Auditable<Integer>

      @Entity
      public class Template
      extends Object
      implements Identifier, Auditable<Integer>

  The persistent representation of an appNG template
  Author:
    Matthias Müller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`
    `Template(Template template)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAppNGVersion()` Returns the version of appNG the `Application` is compatible with.
    `String` | `getDescription()` Returns the description.
    `String` | `getDisplayName()` Returns the display name.
    `Integer` | `getId()` Returns the id.
    `String` | `getLongDescription()` Returns the description.
    `String` | `getName()` Returns the name.
    `String` | `getPackageVersion()` Returns the version.
    `List<TemplateResource>` | `getResources()`
    `String` | `getTimestamp()` Returns the timestamp the `Application` was build.
    `TemplateType` | `getType()`
    `Date` | `getVersion()` Returns the version.
    `int` | `hashCode()`
    `boolean` | `isInstalled()` Checks whether the `Application` is installed.
    `boolean` | `isSnapshot()` Checks whether the `Application` has a SNAPSHOT-version
    `void` | `setAppNGVersion(String appNGVersion)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setId(Integer id)`
    `void` | `setLongDescription(String longDescription)`
    `void` | `setName(String name)`
    `void` | `setPackageVersion(String packageVersion)`
    `void` | `setResources(List<TemplateResource> resources)`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setType(TemplateType type)`
    `void` | `setVersion(Date version)`
    `void` | `update(Template template)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.core.domain.Auditable

      `getAuditName`

- - ### Constructor Detail

    - #### Template

          public Template()

    - #### Template

          public Template(Template template)

  - ### Method Detail

    - #### update

          public void update(Template template)

    - #### getId

          public Integer getId()

      Description copied from interface: `Identifiable`
      Returns the id.
      Specified by:
        `getId` in interface `Identifiable<Integer>`
      Returns:
        the id

    - #### setId

          public void setId(Integer id)

    - #### getName

          public String getName()

      Description copied from interface: `Nameable`
      Returns the name.
      Specified by:
        `getName` in interface `Nameable`
      Returns:
        the name

    - #### setName

          public void setName(String name)

    - #### getAppNGVersion

          public String getAppNGVersion()

      Description copied from interface: `Identifier`
      Returns the version of appNG the `Application` is compatible with.
      Specified by:
        `getAppNGVersion` in interface `Identifier`
      Returns:
        the version of appNG the `Application` is compatible with

    - #### setAppNGVersion

          public void setAppNGVersion(String appNGVersion)

    - #### getDescription

          public String getDescription()

      Description copied from interface: `Nameable`
      Returns the description.
      Specified by:
        `getDescription` in interface `Nameable`
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

    - #### getDisplayName

          public String getDisplayName()

      Description copied from interface: `Identifier`
      Returns the display name.
      Specified by:
        `getDisplayName` in interface `Identifier`
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getLongDescription

          public String getLongDescription()

      Description copied from interface: `Identifier`
      Returns the description.
      Specified by:
        `getLongDescription` in interface `Identifier`
      Returns:
        the description

    - #### setLongDescription

          public void setLongDescription(String longDescription)

    - #### getTimestamp

          public String getTimestamp()

      Description copied from interface: `Identifier`
      Returns the timestamp the `Application` was build.
      Specified by:
        `getTimestamp` in interface `Identifier`
      Returns:
        the timestamp the `Application` was build

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### getPackageVersion

          public String getPackageVersion()

      Description copied from interface: `Identifier`
      Returns the version.
      Specified by:
        `getPackageVersion` in interface `Identifier`
      Returns:
        the version

    - #### setPackageVersion

          public void setPackageVersion(String packageVersion)

    - #### getType

          public TemplateType getType()

    - #### setType

          public void setType(TemplateType type)

    - #### isInstalled

          public boolean isInstalled()

      Description copied from interface: `Identifier`
      Checks whether the `Application` is installed.
      Specified by:
        `isInstalled` in interface `Identifier`
      Returns:
        `true` if the `Application` is installed, `false` otherwise

    - #### isSnapshot

          public boolean isSnapshot()

      Description copied from interface: `Identifier`
      Checks whether the `Application` has a SNAPSHOT-version
      Specified by:
        `isSnapshot` in interface `Identifier`
      Returns:
        `true` if the `Application` has a SNAPSHOT-version, `false` otherwise

    - #### getResources

          public List<TemplateResource> getResources()

    - #### setResources

          public void setResources(List<TemplateResource> resources)

    - #### getVersion

          public Date getVersion()

      Description copied from interface: `Versionable`
      Returns the version.
      Specified by:
        `getVersion` in interface `Versionable<Date>`
      Returns:
        the version

    - #### setVersion

          public void setVersion(Date version)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.